%define qdbm_version 1.8.70

%define major 8
%define libname_orig lib%{name}
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A full-text search system for communities
Name:		hyperestraier
Version:	1.4.13
Release:	%mkrel 2
Group:		Text tools
License:	LGPL
URL:		http://hyperestraier.sourceforge.net/
Source0:	http://hyperestraier.sourceforge.net/%{name}-%{version}.tar.gz
BuildRequires:	autoconf2.5
BuildRequires:	libtool
BuildRequires:	libqdbm-devel >= %{qdbm_version}
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildConflicts:	%{libname}-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Hyper Estraier is a full-text search system. You can search lots of documents
for some documents including specified words. If you run a web site, it is
useful as your own search engine for pages in your site. Also, it is useful as
search utilities of mail boxes and file servers.

%package	cgi
Summary:	Hyperestraier CGI programs
Group:		System/Servers
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= 2.2.0
Requires(pre):  apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
Requires:	%{name} = %{version}

%description	cgi
Hyper Estraier is a full-text search system. You can search lots of documents
for some documents including specified words. If you run a web site, it is
useful as your own search engine for pages in your site. Also, it is useful as
search utilities of mail boxes and file servers.

This package contains the CGI programs for Hyperestraier

%package -n	%{libname}
Summary:	Hyperestraier library
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
Hyper Estraier is a full-text search system. You can search lots of documents
for some documents including specified words. If you run a web site, it is
useful as your own search engine for pages in your site. Also, it is useful as
search utilities of mail boxes and file servers.

This package contains the Hyperestraier shared library.

%package -n	%{develname}
Summary:	Headers of %{name} for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d hyperestraier 8

%description -n %{develname}
Hyper Estraier is a full-text search system. You can search lots of documents
for some documents including specified words. If you run a web site, it is
useful as your own search engine for pages in your site. Also, it is useful as
search utilities of mail boxes and file servers.

This package contains the Hyperestraier static library and its header files.

%prep

%setup -q

%build

%configure2_5x \
    --disable-mecab \
    --enable-zlib \
    --disable-lzo \
    --enable-bzip \
    --libexecdir=/var/www/cgi-bin

# (oe) zeroing out LDENV="" RUNENV="" prevents rpath to be compiled in, but can cause binaries
# to be built against old installed libs, hence the BuildConflicts: %{libname}-devel

%make CFLAGS="%{optflags} -fPIC" LDENV="" RUNENV=""

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

mv %{buildroot}%{_bindir}/estconfig %{buildroot}%{_bindir}/est-config

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
cat > apache-hyperestraier.conf << EOF

<LocationMatch "^/cgi-bin/est(seek|fraud|proxy).cgi">
    Options ExecCGI FollowSymlinks
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
    ErrorDocument 403 "Access denied per %{_sysconfdir}/httpd/conf/webapps.d/hyperestraier.conf"
</LocationMatch>

EOF
install -m0644 apache-hyperestraier.conf %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/hyperestraier.conf

install -d %{buildroot}%{_sysconfdir}/%{name}
install -m0644 estfraud.conf %{buildroot}%{_sysconfdir}/%{name}/
install -m0644 estproxy.conf %{buildroot}%{_sysconfdir}/%{name}/
install -m0644 estseek.conf %{buildroot}%{_sysconfdir}/%{name}/
install -m0644 estseek.tmpl %{buildroot}%{_sysconfdir}/%{name}/
install -m0644 estseek.top %{buildroot}%{_sysconfdir}/%{name}/

pushd %{buildroot}/var/www/cgi-bin
    ln -s %{_sysconfdir}/%{name}/estfraud.conf estfraud.conf
    ln -s %{_sysconfdir}/%{name}/estproxy.conf estproxy.conf
    ln -s %{_sysconfdir}/%{name}/estseek.conf estseek.conf
    ln -s %{_sysconfdir}/%{name}/estseek.tmpl estseek.tmpl
    ln -s %{_sysconfdir}/%{name}/estseek.top estseek.top
popd

# remove docs (they should be installed by %doc)
rm -rf %{buildroot}%{_datadir}/hyperestraier/doc/
rm -f %{buildroot}%{_datadir}/hyperestraier/{COPYING,ChangeLog,THANKS}
rm -f %{buildroot}%{_libdir}/*.*cgi

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%post cgi
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun cgi
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README THANKS
%doc doc/*
%{_bindir}/estcall
%{_bindir}/estcmd
%{_bindir}/estload
%{_bindir}/estmaster
%{_bindir}/estmttest
%{_bindir}/estwolefind
%{_bindir}/estwaver
%{_bindir}/estbutler
%{_datadir}/hyperestraier/est*
%{_datadir}/hyperestraier/filter/*
%{_datadir}/hyperestraier/increm/*
%{_datadir}/hyperestraier/locale/*/*
%{_mandir}/man1/*

%files cgi
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/hyperestraier.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/estfraud.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/estproxy.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/estseek.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/estseek.tmpl
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/estseek.top
/var/www/cgi-bin/estseek.cgi
/var/www/cgi-bin/estfraud.cgi
/var/www/cgi-bin/estproxy.cgi
/var/www/cgi-bin/estscout.cgi
/var/www/cgi-bin/estsupt.cgi
/var/www/cgi-bin/estfraud.conf
/var/www/cgi-bin/estproxy.conf
/var/www/cgi-bin/estseek.conf
/var/www/cgi-bin/estseek.tmpl
/var/www/cgi-bin/estseek.top

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_bindir}/est-config
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*




%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.13-2mdv2009.0
+ Revision: 267107
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 03 2008 Funda Wang <fundawang@mandriva.org> 1.4.13-1mdv2009.0
+ Revision: 200602
- add missing files
- New version 1.4.13

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.4.9-2mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Dec 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.9-2mdv2007.0
+ Revision: 98321
- fix deps

* Sat Dec 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.9-1mdv2007.1
+ Revision: 94240
- 1.4.9
- fixed better apache config
- added 2 more cgi's

  + Emmanuel Andry <eandry@mandriva.org>
    - Import hyperestraier

* Tue Aug 29 2006 Lenny Cartier <lenny@mandriva.com> 1.4.0-1mdv2007.0
- 1.4.0

* Thu Aug 24 2006 Lenny Cartier <lenny@mandriva.com> 1.3.9-1mdv2007.0
- 1.3.9

* Thu Jul 06 2006 Lenny Cartier <lenny@mandriva.com> 1.3.1-1mdv2007.0
- 1.3.1

* Fri Jun 23 2006 Lenny Cartier <lenny@mandriva.com> 1.2.9-1mdv2007.0
- 1.2.9

* Mon Jun 19 2006 Emmanuel Andry <eandry@mandriva.org> 1.2.8-1mdv2007.0
- 1.2.8

* Tue May 30 2006 Emmanuel Andry <eandry@mandriva.org> 1.2.7-1mdk
- 1.2.7

* Wed May 17 2006 Lenny Cartier <lenny@mandriva.com> 1.2.6-1mdk
- 1.2.6

* Thu Apr 27 2006 Lenny Cartier <lenny@mandriva.com> 1.2.3-1mdk
- 1.2.3

* Tue Mar 28 2006 Lenny Cartier <lenny@mandriva.com> 1.1.6-2mdk
- rebuild with new qdbm

* Tue Mar 28 2006 Lenny Cartier <lenny@mandriva.com> 1.1.6-1mdk
- 1.1.6

* Mon Mar 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.5-2mdk
- spec file cleanup

* Mon Mar 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.5-1mdk
- 1.1.5
- fix deps
- broke out the cgi programs into its own sub package

* Fri Jan 13 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.1.2-1mdk
- new release
- bump major from 7 to 8

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.6-1mdk
- bump major from 6 to 7 (it was wrong before)
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Thu Nov 03 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.3-1mdk
- new release

* Sun Oct 30 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.2-1mdk
- initial spec for Mandriva Linux

